gitit-0.12.2.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell98

Network.Gitit.Authentication.Github

# Documentation

loginGithubUser :: OAuth2 -> Handler Source #

getGithubUser Source #

Arguments

:: GithubConfig | Oauth2 configuration (client secret)
-> GithubCallbackPars | Authentication code gained after authorization
-> String | Github state, we expect the state we sent in loginGithubUser
-> GititServerPart (Either GithubLoginError User) | user email and name (password `none`)

data GithubCallbackPars Source #

Instances

Show GithubCallbackPars Source # |
Methods showsPrec :: Int -> GithubCallbackPars -> ShowS # show :: GithubCallbackPars -> String # showList :: [GithubCallbackPars] -> ShowS #
FromData GithubCallbackPars Source # |
Methods fromData :: RqData GithubCallbackPars #

data GithubLoginError Source #

ghUserMessage :: GithubLoginError -> String Source #

ghDetails :: GithubLoginError -> Maybe String Source #